
# CPF_data = ["cora", "citeseer", "pubmed", "a-computer", "a-photo"]
# OGB_data = ["ogbn-arxiv", "ogbn-products"]
# NonHom_data = ["pokec", "penn94"]
# BGNN_data = ["house_class", "vk_class"]

# setting=tran
# teacher=SAGE
# dataset=cora

# teacher SAGE GCN GAT APPN 
for setting in tran #ind
do
    for teacher in SAGE #GCN GAT APPNP #SAGE
    do
        for dataset in cora #citeseer a-computer
        do
            python3 train_teacher.py \
                --exp_setting $setting \
                --teacher $teacher \
                --dataset $dataset \
                --output_path outputs \
                --data_path ./data/CPF/ \
                --num_exp 5 #--device 0 #--split_rate 0.2 --compute_min_cut 

            echo $setting
            echo $teacher
            echo $dataset
            echo "done!"
        done
    done
done

